Недавнее обновление brew breaking vim

этот вопрос тесно связан с этот вопрос где я получил очень похожее сообщение об ошибке при запуске vim после выполнения обновления brew:

dyld: Library not loaded: /usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/Python
  Referenced from: /usr/local/bin/vim
  Reason: image not found
Abort trap: 6

решение состояло в том, чтобы переустановить ruby и vim, однако в моем случае это, вероятно, было вызвано понижением Python 3.7 до 3.6 (3.7 В конечном итоге сломал много библиотек, которые я использую из-за несовместимости) и переустановкой Python3.6 и Vim не помогли.

Я не уверен, почему Vim смотрит для Python 3.7, которых у меня даже нет на моей машине. Только версии у меня 3.6.5, 2.7, и язык Python.

vim и python были установлены из brew.

5
задан Derek 朕會功夫
источник

1 ответов

Я решил эту проблему, переустановив Python 3.7 с brew и Python 3.6.5 с pyenv. Таким образом, они не конфликтуют друг с другом, и я решаю, какую версию Python я хочу использовать.

0
отвечен Derek 朕會功夫 2018-07-12 05:31:48
источник

Другие вопросы homebrew macos python vim